# <b># Herbalist</b>

A skill mod that makes dandelion and thistle useful early game, adds a new craftingstation, 3 healing tonics, 6 recovery tonics, 6 new pickable plants and 8 new elixirs.

<br/>

![](https://i.ibb.co/njGcM8D/ss1.png)
![](https://i.ibb.co/z7cZVLK/ss2.png)

<br/>

>## ## Installation (manual)

- extract `Herbalist.dll` file to your `BepInEx\Plugins\` folder.

<br/>

>## ## Features

- Adds a new skill called Herbalist that you can level up by collecting/harvesting/picking up dandelions and thistles and other new pickable plants.
- You can also level it up by crafting tonics and elixirs at the mortar and pestle.
- Makes dandelions and thistle into a herbal medicine that can heal you overtime.
- Adds 3 new healing tonics called MinorHealingTonic, MediumHealingTonic, and LargeHealingTonic that can heal you overtime.
- Adds 6 new recovery tonics called MinorStaminaTonic, MediumStaminaTonic, LargeStaminaTonic, MinorEitrTonic, MediumEitrTonic, and LargeEitrTonic that can help you recover overtime.
- Adds a new pickable plant called Chicory which spawns only at swamps, it can remove poison status effect and gives poison resist for a short amount of time.
- Adds a new pickable plant called Daisy which spawns only at the mountains, it can remove freezing status effect and gives freezing resist for a short amount of time.
- Adds 4 new pickable plants that will spawn to other biomes excluding mistlands, ashlands and deepnorth.
- Reduces potions cooldown and increases potions duration base on herbalist skill level. (Supports PotionPlus mod)
- Configurable base heal amount, duration, and intervals for dandelion and thistle.
- Configurable heal bonus factor and duration bonus factor for thistle and dandelion.
- Configurable base heal amount, duration and intervals for all tonics.
- Configurable level requirements for crafting tonics
- Configurable exp gain factor for herbalist skill.
- Heal overtime of dandelion and thistle is scaled by herbalist skill level.
- Uses ServerSync and built-in ConfigWatcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

<br/>

>## ## Changelog
<br/>

v1.2.9
- fixed compatibility issue with makail itemdrawers mod.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.2.8
- updated to the latest valheim build (217.28)
- updated serversync and dependencies
- updated manifests bepinex dependency string
- put localization example to a zip package to avoid unnecessary duplicates

v1.2.7
- fixed multiplayer version check issues

v1.2.6
- updated to the latest valheim build (217.22)
- added german and spanish translation

v1.2.5
- removed item manager and piece manager.
- added 4 new pickable plants that will spawn to meadows, blackforest and plains.
- added 8 new elixirs with different buffs and side effects that will help you on your journey.
- added option to disable a recipe (needs a logout to take effect.)

v1.2.0
- fixed an NRE when socketing the last item on you inventory failed on jewelcrafting 

v1.1.9
- updated to the latest valheim build (217.14) hilders request.
- added 2 new pickable plants that can help you on your journey.
- minor bug fixes and code improvements.

v1.1.7
- EmptyContainers, EmptyBottles, EmptyLargeBottles are now reuseable, you won't need to make one everytime you need to craft them.

v1.1.6
- fixed exp bug where you can get exp from picking up dandelion/thistle eventhough its still growing up.
- added possible multiplayer fixed when two or more player interact or pick up dandelion/thistle in the same zone.

v1.1.5
- updated to the latest valheim build (216.9)
- fixed tonics duration bug

v1.1.4
- fixed exp loss min value, sorry about that i put 1 instead of 0 my bad xD

v1.1.3
- added configurable exp cooldown timer when picking up dandelion and thistle, you can now only get exp from picking up herbs when the cooldown timer expires
- added configurable exp loss on death value.

v1.1.2
- adjust exp gain factors min value.

v1.1.1
- fixed NRE when eating something other than potions (thanks to @Lagoshi for helping me test it)
- adjusted some config values (min/max acceptable values)

v1.1.0
- added a new crafting station for tonics.
- added 3 new healing tonics.
- added 6 new recovery tonics.
- potions cooldown and duration are now scaled by herbalist skill level. (supports potion plus mod)
- rewritten code and updated to the latest bepinex and valheim builds.

v1.0.1
- fixed a weird NRE
- updates readme

v1.0.0
- first released

</details>

